Skip to main content
POST
/
v1
/
{account_id}
/
transactions
cURL
curl --request POST \
  --url https://api.sandbox.nest.pagosapi.com/v1/{account_id}/transactions \
  --header 'Content-Type: application/json' \
  --data '
{
  "transaction_id": "<string>",
  "amount": 1,
  "currency": "<string>",
  "created": "<string>",
  "status": "<string>",
  "verification": true,
  "payment_method_details": {
    "payment_method_type": "<string>",
    "id": "<string>",
    "card": {
      "bin": "<string>",
      "last4": "<string>",
      "expiry_month": "<string>",
      "expiry_year": "<string>",
      "fingerprint": "<string>",
      "vaulted": "<string>",
      "validation": {
        "avs_address_result": "<string>",
        "avs_postal_code_result": "<string>",
        "avs_error_response_code": "<string>",
        "cvc_result": "<string>"
      },
      "attributes": {
        "network": "<string>",
        "product_id": "<string>",
        "category": "<string>",
        "issuer_bank": "<string>",
        "issuer_country": "<string>",
        "payroll": true,
        "healthcare": true,
        "durbin_regulated": true,
        "commercial": true
      }
    },
    "paypal": {
      "pp_payer_status": "<string>",
      "pp_seller_protection_status": "<string>"
    },
    "bank": {
      "customer_bank_routing_bic_number": "<string>",
      "customer_bank_swift_code": "<string>",
      "customer_bank_branch_code": "<string>",
      "pm_bank_reference": "<string>"
    },
    "non_card_attributes": {
      "pm_expiry_days": "<string>",
      "debit_mandate_reference": "<string>"
    }
  },
  "transaction_response": {
    "processor_response_code": "<string>",
    "processor_response_text": "<string>",
    "additional_processor_response": "<string>",
    "network_response_code": "<string>",
    "network_response_text": "<string>"
  },
  "pagos_codes": {},
  "stored_credential": "<string>",
  "order": {
    "id": "<string>",
    "description": "<string>",
    "descriptor": "<string>"
  },
  "customer": {
    "customer_id": "<string>",
    "shopper_country": "<string>",
    "postal_code": "<string>"
  },
  "3dSecure": {
    "result": "<string>",
    "version": "<string>",
    "liability_shift": true,
    "metadata": {},
    "exemption_requested": "<string>"
  },
  "merchant": {
    "merchant_id": "<string>",
    "merchant_account_id": "<string>"
  },
  "additional_data": {
    "network_transaction_id": "<string>",
    "processor_authorization_code": "<string>",
    "acquirer_reference": "<string>",
    "is_network_tokenized": true,
    "metadata": {}
  }
}
'
import requests

url = "https://api.sandbox.nest.pagosapi.com/v1/{account_id}/transactions"

payload = {
"transaction_id": "<string>",
"amount": 1,
"currency": "<string>",
"created": "<string>",
"status": "<string>",
"verification": True,
"payment_method_details": {
"payment_method_type": "<string>",
"id": "<string>",
"card": {
"bin": "<string>",
"last4": "<string>",
"expiry_month": "<string>",
"expiry_year": "<string>",
"fingerprint": "<string>",
"vaulted": "<string>",
"validation": {
"avs_address_result": "<string>",
"avs_postal_code_result": "<string>",
"avs_error_response_code": "<string>",
"cvc_result": "<string>"
},
"attributes": {
"network": "<string>",
"product_id": "<string>",
"category": "<string>",
"issuer_bank": "<string>",
"issuer_country": "<string>",
"payroll": True,
"healthcare": True,
"durbin_regulated": True,
"commercial": True
}
},
"paypal": {
"pp_payer_status": "<string>",
"pp_seller_protection_status": "<string>"
},
"bank": {
"customer_bank_routing_bic_number": "<string>",
"customer_bank_swift_code": "<string>",
"customer_bank_branch_code": "<string>",
"pm_bank_reference": "<string>"
},
"non_card_attributes": {
"pm_expiry_days": "<string>",
"debit_mandate_reference": "<string>"
}
},
"transaction_response": {
"processor_response_code": "<string>",
"processor_response_text": "<string>",
"additional_processor_response": "<string>",
"network_response_code": "<string>",
"network_response_text": "<string>"
},
"pagos_codes": {},
"stored_credential": "<string>",
"order": {
"id": "<string>",
"description": "<string>",
"descriptor": "<string>"
},
"customer": {
"customer_id": "<string>",
"shopper_country": "<string>",
"postal_code": "<string>"
},
"3dSecure": {
"result": "<string>",
"version": "<string>",
"liability_shift": True,
"metadata": {},
"exemption_requested": "<string>"
},
"merchant": {
"merchant_id": "<string>",
"merchant_account_id": "<string>"
},
"additional_data": {
"network_transaction_id": "<string>",
"processor_authorization_code": "<string>",
"acquirer_reference": "<string>",
"is_network_tokenized": True,
"metadata": {}
}
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
transaction_id: '<string>',
amount: 1,
currency: '<string>',
created: '<string>',
status: '<string>',
verification: true,
payment_method_details: {
payment_method_type: '<string>',
id: '<string>',
card: {
bin: '<string>',
last4: '<string>',
expiry_month: '<string>',
expiry_year: '<string>',
fingerprint: '<string>',
vaulted: '<string>',
validation: {
avs_address_result: '<string>',
avs_postal_code_result: '<string>',
avs_error_response_code: '<string>',
cvc_result: '<string>'
},
attributes: {
network: '<string>',
product_id: '<string>',
category: '<string>',
issuer_bank: '<string>',
issuer_country: '<string>',
payroll: true,
healthcare: true,
durbin_regulated: true,
commercial: true
}
},
paypal: {pp_payer_status: '<string>', pp_seller_protection_status: '<string>'},
bank: {
customer_bank_routing_bic_number: '<string>',
customer_bank_swift_code: '<string>',
customer_bank_branch_code: '<string>',
pm_bank_reference: '<string>'
},
non_card_attributes: {pm_expiry_days: '<string>', debit_mandate_reference: '<string>'}
},
transaction_response: {
processor_response_code: '<string>',
processor_response_text: '<string>',
additional_processor_response: '<string>',
network_response_code: '<string>',
network_response_text: '<string>'
},
pagos_codes: {},
stored_credential: '<string>',
order: {id: '<string>', description: '<string>', descriptor: '<string>'},
customer: {customer_id: '<string>', shopper_country: '<string>', postal_code: '<string>'},
'3dSecure': {
result: '<string>',
version: '<string>',
liability_shift: true,
metadata: {},
exemption_requested: '<string>'
},
merchant: {merchant_id: '<string>', merchant_account_id: '<string>'},
additional_data: {
network_transaction_id: '<string>',
processor_authorization_code: '<string>',
acquirer_reference: '<string>',
is_network_tokenized: true,
metadata: {}
}
})
};

fetch('https://api.sandbox.nest.pagosapi.com/v1/{account_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Path Parameters

account_id
string
required

Body

application/json
transaction_id
string
required

A unique value that identifies this transaction and will be used as the key when making updates to transactions. Maximum 255 characters.

Required string length: 1 - 255
amount
integer
required

The transaction amount, represented as a positive integer in the smallest currency unit (e.g. two-decimal currency such as $101.50 is represented as 10150, zero-decimal currency such as ¥1095 is represented as 1095). Refer to the ISO 4217 currency page for guidance.

Required range: x >= 0
currency
string
required

The currency of the transaction, represented by the 3-letter ISO-4217 currency code. Must be three characters.

Required string length: 3
created
string
required

The date when the transaction was created, represented in ISO 8601 format (e.g. 2023-09-04T16:13:05Z).

status
string
required

The status of the transaction (e.g. authorized, cancel_or_refund, canceled, capture, deposit, failed, gateway_rejected, paid, pending, processor_declined). Maximum 50 characters.

Required string length: 1 - 50
verification
boolean
required

A flag identifying if the record is a card verification (i.e. $0 or $1 authorization). The possible values are true or false; the default value is false.

payment_method_details
object
required
transaction_response
object
required
pagos_codes
object
required
stored_credential
string | null

A value identifying if the customer is present or not present for the transaction. It also identifies if the payment was from a stored payment method or a PAN (e.g. moto, POS, card on file, subscription). Maximum 255 characters.

Maximum string length: 255
order
object | null
customer
object | null
3dSecure
object | null
merchant
object | null
additional_data
object | null

Response

201 - undefined